Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.tasks.compile
[Groovy] Class DependOptions

    java.lang.Object
      org.gradle.api.tasks.compile.AbstractOptions
          org.gradle.api.tasks.compile.DependOptions

    class DependOptions
    extends AbstractOptions

Options to send to Ant's depend task. Depends will delete out of date class files before compiling. This is not fool-proof, but will cut down on the frequency of having to do a clean build. This may or may not be faster than a clean build.

See the Ant Reference for more information.

## Ant Options

- srcDir - IGNORED - set automatically
- destDir - IGNORED - set automatically
- cache - IGNORED - set automatically
- closure - boolean controlling depth of dependency graph traversal
- dump - dump dependency information to log
- classpath - extra classes to check
- warnOnRmiStubs - disables warnings for rmi stubs with no source

There is an additional "useCache" boolean option to enable/disable caching of dependency information. It is true by default.

Authors:
  Steve Appling

Property Summary
`java.lang.String` | `classpath`
`boolean` | `closure`
`boolean` | `dump`
`boolean` | `useCache`
`boolean` | `warnOnRmiStubs`

Method Summary
`java.util.List` | `excludedFieldsFromOptionMap()`

Methods inherited from class AbstractOptions
addValueToMapIfNotNull, define, excludedFieldsFromOptionMap, fieldName2AntMap, fieldValue2AntMap, isOptionField, optionMap

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### classpath

    java.lang.String classpath

### closure

    boolean closure

### dump

    boolean dump

### useCache

    boolean useCache

### warnOnRmiStubs

    boolean warnOnRmiStubs

Method Detail

### excludedFieldsFromOptionMap

    java.util.List excludedFieldsFromOptionMap()

Groovy Documentation